Package org.apache.avro.reflect

# Annotation Type AvroAlias

@Retention(RUNTIME) @Target({TYPE,FIELD}) @Repeatable(AvroAliases.class) public @interface AvroAlias
Adds the given name and space as an alias to the schema. Avro files of this schema can be read into classes named by the alias.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`alias`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`space`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NULL`

## Field Details

### NULL

static final String NULL

See Also:
  - Constant Field Values

## Element Details

### alias

String alias

### space

String space

Default:
  `"NOT A VALID NAMESPACE"`